Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.util
Class UlcLog

    java.lang.Object
      |
      +--com.ibm.ulc.util.UlcObject
            |
            +--com.ibm.ulc.util.UlcLog

public class UlcLog
extends UlcObject
implements ILogStream

See Also:
  Serialized Form

Constructor Summary
`UlcLog(java.lang.String logFilename)` (c) Object Technology International 1997,1998.

Method Summary
`void` | `logPrint(byte[] bytes)` logPrint method comment.
`void` | `logPrint(java.lang.String logEntry)` logPrint method comment.
`void` | `logPrintln(byte[] bytes)` logPrintln method comment.
`void` | `logPrintln(java.lang.String logEntry)` logPrintln method comment.

Methods inherited from class com.ibm.ulc.util.UlcObject
`trouble, trouble2, trouble2Err, troubleErr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UlcLog

    public UlcLog(java.lang.String logFilename)

  (c) Object Technology International 1997,1998.
  Parameters:
    `logFilename` - java.lang.String

Method Detail

### logPrint

    public void logPrint(byte[] bytes)

  logPrint method comment.
  Specified by:
    logPrint in interface ILogStream

### logPrint

    public void logPrint(java.lang.String logEntry)

  logPrint method comment.
  Specified by:
    logPrint in interface ILogStream

### logPrintln

    public void logPrintln(byte[] bytes)

  logPrintln method comment.
  Specified by:
    logPrintln in interface ILogStream

### logPrintln

    public void logPrintln(java.lang.String logEntry)

  logPrintln method comment.
  Specified by:
    logPrintln in interface ILogStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD